org.apache.poi.hslf.record

## Class EscherTextboxWrapper

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordContainer
    - - org.apache.poi.hslf.record.EscherTextboxWrapper

- All Implemented Interfaces:
    GenericRecord

      public final class EscherTextboxWrapper
      extends RecordContainer

  A wrapper around a DDF (Escher) EscherTextbox Record. Causes the DDF Record to be accessible as if it were a HSLF record. Note: when asked to write out, will simply put any child records correctly into the Escher layer. A call to the escher layer to write out (by the parent PPDrawing) will do the actual write out
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.RecordContainer

      `_children`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EscherTextboxWrapper()` Creates a new, empty wrapper for DDF Escher Records and their children
    `EscherTextboxWrapper(EscherTextboxRecord textbox)` Creates the wrapper for the given DDF Escher Record and children

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EscherTextboxRecord` | `getEscherRecord()` Returns the underlying DDF Escher Record
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` Return the type of the escher record (normally in the 0xFnnn range)
    `int` | `getShapeId()`
    `StyleTextProp9Atom` | `getStyleTextProp9Atom()`
    `StyleTextPropAtom` | `getStyleTextPropAtom()`
    `void` | `setShapeId(int id)`
    `void` | `setStyleTextProp9Atom(StyleTextProp9Atom nineAtom)`
    `void` | `writeOut(java.io.OutputStream out)` Stores the data for the child records back into the Escher layer.

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordContainer

      `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EscherTextboxWrapper

          public EscherTextboxWrapper(EscherTextboxRecord textbox)

      Creates the wrapper for the given DDF Escher Record and children

    - #### EscherTextboxWrapper

          public EscherTextboxWrapper()

      Creates a new, empty wrapper for DDF Escher Records and their children

  - ### Method Detail

    - #### getEscherRecord

          public EscherTextboxRecord getEscherRecord()

      Returns the underlying DDF Escher Record

    - #### getRecordType

          public long getRecordType()

      Return the type of the escher record (normally in the 0xFnnn range)
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Stores the data for the child records back into the Escher layer. Doesn't actually do the writing out, that's left to the Escher layer to do. Must be called before writeOut/serialize is called on the underlying Escher object!
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getShapeId

          public int getShapeId()

      Returns:
        Shape ID

    - #### setShapeId

          public void setShapeId(int id)

      Parameters:
        `id` - Shape ID

    - #### getStyleTextPropAtom

          public StyleTextPropAtom getStyleTextPropAtom()

    - #### setStyleTextProp9Atom

          public void setStyleTextProp9Atom(StyleTextProp9Atom nineAtom)

    - #### getStyleTextProp9Atom

          public StyleTextProp9Atom getStyleTextProp9Atom()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`
      Overrides:
        `getGenericProperties` in class `RecordContainer`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.